Package org.lwjgl.opengl

# Class AMDNameGenDelete

java.lang.Object
org.lwjgl.opengl.AMDNameGenDelete

public final class AMDNameGenDelete extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_DATA_BUFFER_AMD`
Accepted as the <identifier> parameter of GenNamesAMD and DeleteNamesAMD:
`static final int`
`GL_PERFORMANCE_MONITOR_AMD`
Accepted as the <identifier> parameter of GenNamesAMD and DeleteNamesAMD:
`static final int`
`GL_QUERY_OBJECT_AMD`
Accepted as the <identifier> parameter of GenNamesAMD and DeleteNamesAMD:
`static final int`
`GL_SAMPLER_OBJECT_AMD`
Accepted as the <identifier> parameter of GenNamesAMD and DeleteNamesAMD:
`static final int`
`GL_VERTEX_ARRAY_OBJECT_AMD`
Accepted as the <identifier> parameter of GenNamesAMD and DeleteNamesAMD:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glDeleteNamesAMD(int identifier, int name)`
Overloads glDeleteNamesAMD.
`static void`
`glDeleteNamesAMD(int identifier, IntBuffer names)`
`static int`
`glGenNamesAMD(int identifier)`
Overloads glGenNamesAMD.
`static void`
`glGenNamesAMD(int identifier, IntBuffer names)`
`static boolean`
`glIsNameAMD(int identifier, int name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_DATA_BUFFER_AMD

public static final int GL_DATA_BUFFER_AMD
Accepted as the <identifier> parameter of GenNamesAMD and DeleteNamesAMD:

See Also:
  - Constant Field Values

### GL_PERFORMANCE_MONITOR_AMD

public static final int GL_PERFORMANCE_MONITOR_AMD
Accepted as the <identifier> parameter of GenNamesAMD and DeleteNamesAMD:

See Also:
  - Constant Field Values

### GL_QUERY_OBJECT_AMD

public static final int GL_QUERY_OBJECT_AMD
Accepted as the <identifier> parameter of GenNamesAMD and DeleteNamesAMD:

See Also:
  - Constant Field Values

### GL_VERTEX_ARRAY_OBJECT_AMD

public static final int GL_VERTEX_ARRAY_OBJECT_AMD
Accepted as the <identifier> parameter of GenNamesAMD and DeleteNamesAMD:

See Also:
  - Constant Field Values

### GL_SAMPLER_OBJECT_AMD

public static final int GL_SAMPLER_OBJECT_AMD
Accepted as the <identifier> parameter of GenNamesAMD and DeleteNamesAMD:

See Also:
  - Constant Field Values

## Method Details

### glGenNamesAMD

public static void glGenNamesAMD(int identifier, IntBuffer names)

### glGenNamesAMD

public static int glGenNamesAMD(int identifier)
Overloads glGenNamesAMD.

### glDeleteNamesAMD

public static void glDeleteNamesAMD(int identifier, IntBuffer names)

### glDeleteNamesAMD

public static void glDeleteNamesAMD(int identifier, int name)
Overloads glDeleteNamesAMD.

### glIsNameAMD

public static boolean glIsNameAMD(int identifier, int name)